Bug 1285106 - Make sure eviction/expiration reaper only runs once
Make sure eviction/expiration reaper only runs once
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.6.0
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: 6.6.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 16:47 EST by William Burns
Modified: 2018-01-29 20:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Burns 2015-11-24 16:47:31 EST
Description of problem:
Merged changes for expiration fixes missed changing the eviction manager to not run a thread, causing expiration to run on 2 different threads.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 William Burns 2015-11-24 21:41:18 EST
PR: https://github.com/infinispan/jdg/pull/797
Comment 3 Dan Berindei 2015-11-25 04:17:48 EST
Integrated.

Note You need to log in before you can comment on or make changes to this bug.